Page MenuHomePhabricator

Run refreshLinks.php for nlwikinews at all pages
Closed, ResolvedPublic

Description

Please rebuild the categories on the newly reopened nl.wikinews. After importing from Incubator, they are not yet up-to-date (cf. https://incubator.wikimedia.org/wiki/Category:Wn/nl/3_juli_2017 vs. https://nl.wikinews.org/wiki/Categorie:3_juli_2017).

This can be done by running refreshLinks.php.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2017, 1:31 PM
Urbanecm renamed this task from Rebuild categories for nl.wikinews to Run refreshLinks.php for nlwikinews at all pages.Jul 6 2017, 1:33 PM
Urbanecm updated the task description. (Show Details)
Seba98 added a subscriber: Seba98.Jul 6 2017, 1:45 PM
Dcljr added a subscriber: Dcljr.EditedJul 8 2017, 9:12 AM

Note, BTW, that some template links are not working, either: https://nl.wikinews.org/wiki/Wikinews:Redactieruimte#Redlinks_after_importing

(Redlinks to existing templates are showing up on some pages, but not others that link to the same templates. Purging the cache on the offending page fixes the problem, but of course, only for that one page.)

I assume the same script will fix this problem, as well?

Or is there some "purge the cache for all pages" script that needs to be run?

I'm sure the (small but active) Dutch Wikinews community is hankerin' to get their categories populated. Can someone please take this task?

@Dereckson Can you take care about this as well as T169861? Thank you!

BTW, not that it really matters, but the categories linked to in the original report now look quite similar because users have been "manually" purging the page cache on broken pages as they come across them. If you look much farther back in time, say to https://nl.wikinews.org/wiki/Categorie:27_juni_2016 vs https://incubator.wikimedia.org/wiki/Category:Wn/nl/27_juni_2016 ,
you can see the differences better. :)

Dcljr added a comment.Jul 15 2017, 5:34 AM

Nevermind my last comment (linking to older categories). A user is going through editing every single article and category page to fix the problems. I would still like this task acted upon, however.

Reedy closed this task as Resolved.Jul 19 2017, 1:02 AM
Reedy claimed this task.
Reedy added a subscriber: Reedy.

Hello?

refreshLinks is run automatically on all on the first 7 days of each month https://github.com/wikimedia/puppet/blob/2061c4f7dd7a0f78970019cef4fc07c7b4d74d0a/modules/mediawiki/manifests/maintenance/refreshlinks.pp#L14

Generally, requests to run it manually shouldn't be necessary

However, it's been run

Dcljr added a comment.Jul 19 2017, 4:07 AM

Thanks. As you can see from the above discussion, the wiki was broken well beyond the 7th of this month, so I'm glad they didn't have to wait another whole month to get this run.

Reedy added a comment.Jul 19 2017, 8:55 AM

When were they imported?

Reedy added a comment.Jul 19 2017, 4:10 PM

So s3 would've already been done on the 3rd

OK, so the wiki was emptied on the 1st (T168764#3398635), then the links table was refreshed on the 3rd (presumably resulting in an empty table??), then the content was imported on the 5th (somehow resulting in many broken templates), then we waited until the 18th for the links table to get refreshed again.

I hope we are learning from this experience, so the next time this kind of reopening happens it can go more smoothly.

I still wonder what caused the breakage in the first place.